#include <stdio.h>
#include <string.h>

const long MAX_SONS = 9;
const long MAX_LEN = 1100;

struct Tree
{
	long cSons;
	Tree* sons[MAX_SONS];

	char* Read(char* pStr)
	{
		if(!*pStr) return pStr;

		cSons = (*pStr - '0') - 1;
		++pStr;
		for (long iSon = 0; iSon < cSons; ++iSon)
		{
			sons[iSon] = new Tree;
			pStr = sons[iSon]->Read(pStr);
		}
		return pStr;
	}

	void SpellBack()
	{
		printf("%ld", cSons+1);
		for (long iSon = cSons-1; iSon >= 0; --iSon)
		{
			sons[iSon]->SpellBack();
		}
	}
};

char buffer[MAX_LEN];

int main()
{
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);

	scanf("%s", buffer);

	Tree tree;

	tree.Read(buffer);
	tree.SpellBack();

	putchar('\n');

	fclose(stdin);
	fclose(stdout);
	return 0;
}
